Subject: Configuration mingw-w64

From: Louis Höfler <[email-masked]>
Date: Wed, 28 Jan 2015 17:37:37 +0100

Hello,
i found a bug when configuring and compiling sed on windows 8.1 with 
mingw-w64 on msys.

This bug is fixed if you modify config.h line 477
from
#define HAVE_MSVC_INVALID_PARAMETER_HANDLER 1
to
#define HAVE_MSVC_INVALID_PARAMETER_HANDLER 0

./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.exe
checking for suffix of executables... .exe
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for Minix Amsterdam compiler... no
checking for ar... ar
checking for ranlib... ranlib
checking build system type... i686-pc-mingw32
checking host system type... i686-pc-mingw32
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking for gcc option to accept ISO C99... -std=gnu99
checking for gcc -std=gnu99 option to accept ISO Standard C... (cached) 
-std=gnu99
checking for size_t... yes
checking for working alloca.h... no
checking for alloca... yes
checking whether <wchar.h> uses 'inline' correctly... yes
checking for btowc... yes
checking for canonicalize_file_name... no
checking for getcwd... yes
checking for readlink... no
checking for realpath... no
checking for symlink... no
checking for _set_invalid_parameter_handler... yes
checking for __fwriting... no
checking for getdelim... no
checking for gettimeofday... yes
checking for lstat... no
checking for mbsinit... yes
checking for mbrtowc... yes
checking for mbrlen... yes
checking for mprotect... yes
checking for mkostemp... no
checking for nl_langinfo... no
checking for isblank... yes
checking for iswctype... yes
checking for wcscoll... yes
checking for link... no
checking for wcrtomb... yes
checking for wctob... yes
checking for iswcntrl... yes
checking for isatty... yes
checking for isascii... yes
checking for memcpy... yes
checking for strchr... yes
checking for strtoul... yes
checking for popen... yes
checking for pathconf... no
checking for fchown... no
checking for fchmod... no
checking for setlocale... yes
checking for nl_langinfo and CODESET... no
checking for a traditional french locale... French_France.1252
checking whether // is distinct from /... yes
checking whether realpath works... no
checking for sys/param.h... yes
checking for unistd.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for getopt.h... yes
checking for sys/time.h... yes
checking for sys/socket.h... no
checking for langinfo.h... no
checking for xlocale.h... no
checking for sys/mman.h... no
checking for selinux/selinux.h... no
checking for wchar.h... yes
checking for stdint.h... (cached) yes
checking for features.h... no
checking for wctype.h... yes
checking for locale.h... yes
checking for errno.h... yes
checking for mcheck.h... no
checking whether the preprocessor supports include_next... yes
checking whether system header files limit the line length... no
checking for complete errno.h... no
checking for EMULTIHOP value... no
checking for ENOLINK value... no
checking for EOVERFLOW value... yes
checking whether strerror_r is declared... no
checking for strerror_r... no
checking whether strerror_r returns char *... no
checking for working fcntl.h... no
checking for pid_t... yes
checking for mode_t... yes
checking whether stat file-mode macros are broken... no
checking for 64-bit off_t... yes
checking for nlink_t... no
checking whether fchmodat is declared without a macro... no
checking whether fstat is declared without a macro... yes
checking whether fstatat is declared without a macro... no
checking whether futimens is declared without a macro... no
checking whether lchmod is declared without a macro... no
checking whether lstat is declared without a macro... no
checking whether mkdirat is declared without a macro... no
checking whether mkfifo is declared without a macro... no
checking whether mkfifoat is declared without a macro... no
checking whether mknod is declared without a macro... no
checking whether mknodat is declared without a macro... no
checking whether stat is declared without a macro... yes
checking whether utimensat is declared without a macro... no
checking whether getdelim is declared... no
checking for getopt.h... (cached) yes
checking for getopt_long_only... yes
checking whether getopt is POSIX compatible... yes
checking for working GNU getopt function... yes
checking for working GNU getopt_long function... yes
checking whether getenv is declared... yes
checking for C/C++ restrict keyword... __restrict
checking winsock2.h usability... yes
checking winsock2.h presence... yes
checking for winsock2.h... yes
checking for struct timeval... yes
checking for wide-enough struct timeval.tv_sec member... no
checking whether gettimeofday is declared without a macro... yes
checking whether getc_unlocked is declared... no
checking whether we are using the GNU C Library >= 2.1 or uClibc... no
checking for wchar_t... yes
checking whether NULL can be used in arbitrary expressions... yes
checking whether lstat correctly handles trailing slash... guessing no
checking whether malloc, realloc, calloc are POSIX compliant... no
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking for unsigned long long int... yes
checking for long long int... yes
checking for mbstate_t... yes
checking for a traditional japanese locale... none
checking for a transitional chinese locale... none
checking for a french Unicode locale... none
checking whether mbrtowc handles incomplete characters... guessing yes
checking whether mbrtowc works as well as mbtowc... guessing yes
checking whether mbrtowc handles a NULL pwc argument... guessing yes
checking whether mbrtowc handles a NULL string argument... guessing yes
checking whether mbrtowc has a correct return value... no
checking whether mbrtowc returns 0 when parsing a NUL character... 
guessing yes
checking for mmap... no
checking whether memchr works... yes
checking for inline... inline
checking for library containing setfilecon... no
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking whether stdint.h conforms to C99... yes
checking whether strerror(0) succeeds... yes
checking whether ffsl is declared without a macro... no
checking whether ffsll is declared without a macro... no
checking whether memmem is declared without a macro... no
checking whether mempcpy is declared without a macro... yes
checking whether memrchr is declared without a macro... no
checking whether rawmemchr is declared without a macro... no
checking whether stpcpy is declared without a macro... no
checking whether stpncpy is declared without a macro... no
checking whether strchrnul is declared without a macro... no
checking whether strdup is declared without a macro... yes
checking whether strncat is declared without a macro... yes
checking whether strndup is declared without a macro... no
checking whether strnlen is declared without a macro... yes
checking whether strpbrk is declared without a macro... yes
checking whether strsep is declared without a macro... no
checking whether strcasestr is declared without a macro... no
checking whether strtok_r is declared without a macro... yes
checking whether strerror_r is declared without a macro... no
checking whether strsignal is declared without a macro... no
checking whether strverscmp is declared without a macro... no
checking for struct timespec in <time.h>... yes
checking whether clearerr_unlocked is declared... no
checking whether feof_unlocked is declared... no
checking whether ferror_unlocked is declared... no
checking whether fflush_unlocked is declared... no
checking whether fgets_unlocked is declared... no
checking whether fputc_unlocked is declared... no
checking whether fputs_unlocked is declared... no
checking whether fread_unlocked is declared... no
checking whether fwrite_unlocked is declared... no
checking whether getchar_unlocked is declared... no
checking whether putc_unlocked is declared... no
checking whether putchar_unlocked is declared... no
checking for wint_t... yes
checking sys/acl.h usability... no
checking sys/acl.h presence... no
checking for sys/acl.h... no
configure: WARNING: libacl development library was not found or not usable.
configure: WARNING: GNU sed will be built without ACL support.
checking whether btowc(0) is correct... yes
checking whether btowc(EOF) is correct... yes
checking whether // is distinct from /... (cached) yes
checking for error_at_line... no
checking whether fcntl is declared without a macro... no
checking whether openat is declared without a macro... no
checking for flockfile... no
checking for funlockfile... no
checking whether getc_unlocked is declared... (cached) no
checking whether gettimeofday clobbers localtime buffer... no
checking for gettimeofday with POSIX signature... yes
checking sys/timeb.h usability... yes
checking sys/timeb.h presence... yes
checking for sys/timeb.h... yes
checking for _ftime... yes
checking whether nl_langinfo is declared without a macro... no
checking whether locale.h conforms to POSIX:2001... no
checking whether struct lconv is properly defined... no
checking whether setlocale is declared without a macro... yes
checking whether duplocale is declared without a macro... no
checking for struct lconv.decimal_point... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... (cached) yes
checking whether mbrtowc handles incomplete characters... (cached) 
guessing yes
checking whether mbrtowc works as well as mbtowc... (cached) guessing yes
checking whether mbrtowc handles a NULL pwc argument... (cached) 
guessing yes
checking whether mbrtowc handles a NULL string argument... (cached) 
guessing yes
checking whether mbrtowc has a correct return value... (cached) no
checking whether mbrtowc returns 0 when parsing a NUL character... 
(cached) guessing yes
checking whether mbrtowc handles incomplete characters... (cached) 
guessing yes
checking whether mbrtowc works as well as mbtowc... (cached) guessing yes
checking for obstacks... no
checking for working re_compile_pattern... no
checking libintl.h usability... no
checking libintl.h presence... no
checking for libintl.h... no
checking whether isblank is declared... yes
checking whether rename honors trailing slash on destination... no
checking whether rename honors trailing slash on source... yes
checking whether rename manages hard links correctly... yes
checking whether rename manages existing destinations correctly... no
checking whether rmdir works... no
checking for selinux/selinux.h... (cached) no
checking selinux/context.h usability... no
checking selinux/context.h presence... no
checking for selinux/context.h... no
checking for ssize_t... yes
checking whether stat handles trailing slashes on directories... no
checking whether stat handles trailing slashes on files... yes
checking for va_copy... yes
checking whether NULL can be used in arbitrary expressions... (cached) yes
checking whether dprintf is declared without a macro... no
checking whether fpurge is declared without a macro... no
checking whether fseeko is declared without a macro... yes
checking whether ftello is declared without a macro... yes
checking whether getdelim is declared without a macro... no
checking whether getline is declared without a macro... no
checking whether gets is declared without a macro... yes
checking whether pclose is declared without a macro... no
checking whether popen is declared without a macro... no
checking whether renameat is declared without a macro... no
checking whether snprintf is declared without a macro... yes
checking whether tmpfile is declared without a macro... yes
checking whether vdprintf is declared without a macro... no
checking whether vsnprintf is declared without a macro... yes
checking whether _Exit is declared without a macro... yes
checking whether atoll is declared without a macro... yes
checking whether canonicalize_file_name is declared without a macro... no
checking whether getloadavg is declared without a macro... no
checking whether getsubopt is declared without a macro... no
checking whether grantpt is declared without a macro... no
checking whether initstate is declared without a macro... no
checking whether initstate_r is declared without a macro... no
checking whether mkdtemp is declared without a macro... no
checking whether mkostemp is declared without a macro... no
checking whether mkostemps is declared without a macro... no
checking whether mkstemp is declared without a macro... no
checking whether mkstemps is declared without a macro... no
checking whether posix_openpt is declared without a macro... no
checking whether ptsname is declared without a macro... no
checking whether ptsname_r is declared without a macro... no
checking whether random is declared without a macro... no
checking whether random_r is declared without a macro... no
checking whether realpath is declared without a macro... no
checking whether rpmatch is declared without a macro... no
checking whether setenv is declared without a macro... no
checking whether setstate is declared without a macro... no
checking whether setstate_r is declared without a macro... no
checking whether srandom is declared without a macro... no
checking whether srandom_r is declared without a macro... no
checking whether strtod is declared without a macro... yes
checking whether strtoll is declared without a macro... yes
checking whether strtoull is declared without a macro... yes
checking whether unlockpt is declared without a macro... no
checking whether unsetenv is declared without a macro... no
checking for winsock2.h... (cached) yes
checking for strverscmp... no
checking for nlink_t... (cached) no
checking whether fchmodat is declared without a macro... (cached) no
checking whether fstat is declared without a macro... (cached) yes
checking whether fstatat is declared without a macro... (cached) no
checking whether futimens is declared without a macro... (cached) no
checking whether lchmod is declared without a macro... (cached) no
checking whether lstat is declared without a macro... (cached) no
checking whether mkdirat is declared without a macro... (cached) no
checking whether mkfifo is declared without a macro... (cached) no
checking whether mkfifoat is declared without a macro... (cached) no
checking whether mknod is declared without a macro... (cached) no
checking whether mknodat is declared without a macro... (cached) no
checking whether stat is declared without a macro... (cached) yes
checking whether utimensat is declared without a macro... (cached) no
checking whether chdir is declared without a macro... yes
checking whether chown is declared without a macro... no
checking whether dup is declared without a macro... yes
checking whether dup2 is declared without a macro... yes
checking whether dup3 is declared without a macro... no
checking whether environ is declared without a macro... no
checking whether euidaccess is declared without a macro... no
checking whether faccessat is declared without a macro... no
checking whether fchdir is declared without a macro... no
checking whether fchownat is declared without a macro... no
checking whether fdatasync is declared without a macro... no
checking whether fsync is declared without a macro... no
checking whether ftruncate is declared without a macro... yes
checking whether getcwd is declared without a macro... yes
checking whether getdomainname is declared without a macro... no
checking whether getdtablesize is declared without a macro... no
checking whether getgroups is declared without a macro... no
checking whether gethostname is declared without a macro... no
checking whether getlogin is declared without a macro... no
checking whether getlogin_r is declared without a macro... no
checking whether getpagesize is declared without a macro... no
checking whether getusershell is declared without a macro... no
checking whether setusershell is declared without a macro... no
checking whether endusershell is declared without a macro... no
checking whether group_member is declared without a macro... no
checking whether isatty is declared without a macro... yes
checking whether lchown is declared without a macro... no
checking whether link is declared without a macro... no
checking whether linkat is declared without a macro... no
checking whether lseek is declared without a macro... yes
checking whether pipe is declared without a macro... no
checking whether pipe2 is declared without a macro... no
checking whether pread is declared without a macro... no
checking whether pwrite is declared without a macro... no
checking whether readlink is declared without a macro... no
checking whether readlinkat is declared without a macro... no
checking whether rmdir is declared without a macro... yes
checking whether sethostname is declared without a macro... no
checking whether sleep is declared without a macro... yes
checking whether symlink is declared without a macro... no
checking whether symlinkat is declared without a macro... no
checking whether ttyname_r is declared without a macro... no
checking whether unlink is declared without a macro... yes
checking whether unlinkat is declared without a macro... no
checking whether usleep is declared without a macro... yes
checking whether btowc is declared without a macro... yes
checking whether wctob is declared without a macro... yes
checking whether mbsinit is declared without a macro... yes
checking whether mbrtowc is declared without a macro... yes
checking whether mbrlen is declared without a macro... yes
checking whether mbsrtowcs is declared without a macro... yes
checking whether mbsnrtowcs is declared without a macro... no
checking whether wcrtomb is declared without a macro... yes
checking whether wcsrtombs is declared without a macro... yes
checking whether wcsnrtombs is declared without a macro... no
checking whether wcwidth is declared without a macro... no
checking whether wmemchr is declared without a macro... yes
checking whether wmemcmp is declared without a macro... yes
checking whether wmemcpy is declared without a macro... yes
checking whether wmemmove is declared without a macro... yes
checking whether wmemset is declared without a macro... yes
checking whether wcslen is declared without a macro... yes
checking whether wcsnlen is declared without a macro... yes
checking whether wcscpy is declared without a macro... yes
checking whether wcpcpy is declared without a macro... no
checking whether wcsncpy is declared without a macro... yes
checking whether wcpncpy is declared without a macro... no
checking whether wcscat is declared without a macro... yes
checking whether wcsncat is declared without a macro... yes
checking whether wcscmp is declared without a macro... yes
checking whether wcsncmp is declared without a macro... yes
checking whether wcscasecmp is declared without a macro... no
checking whether wcsncasecmp is declared without a macro... no
checking whether wcscoll is declared without a macro... yes
checking whether wcsxfrm is declared without a macro... yes
checking whether wcsdup is declared without a macro... yes
checking whether wcschr is declared without a macro... yes
checking whether wcsrchr is declared without a macro... yes
checking whether wcscspn is declared without a macro... yes
checking whether wcsspn is declared without a macro... yes
checking whether wcspbrk is declared without a macro... yes
checking whether wcsstr is declared without a macro... yes
checking whether wcstok is declared without a macro... yes
checking whether wcswidth is declared without a macro... no
checking whether mbrtowc handles incomplete characters... (cached) 
guessing yes
checking whether mbrtowc works as well as mbtowc... (cached) guessing yes
checking whether wcrtomb return value is correct... yes
checking whether wctob works... no
checking whether iswcntrl works... yes
checking for towlower... yes
checking for wctype_t... yes
checking for wctrans_t... yes
checking whether wctype is declared without a macro... yes
checking whether iswctype is declared without a macro... yes
checking whether wctrans is declared without a macro... yes
checking whether towctrans is declared without a macro... yes
checking whether "rt" can be used with fopen... yes
checking whether -lcP is needed... no
checking for an ANSI C-conforming const... yes
checking for size_t... (cached) yes
checking whether NLS is requested... yes
checking for msgfmt... no
checking for gmsgfmt... :
checking for xgettext... no
checking for msgmerge... no
checking for ld used by GCC... 
C:/Users/Lis/Documents/mingw-w64/x86_64-4.9.2-release-win32-seh-rt_v3-rev0/x86_64-w64-mingw32/bin/ld.exe
checking if the linker 
(C:/Users/Lis/Documents/mingw-w64/x86_64-4.9.2-release-win32-seh-rt_v3-rev0/x86_64-w64-mingw32/bin/ld.exe) 
is GNU ld... yes
checking for shared library run path origin... done
checking for CFPreferencesCopyAppValue... no
checking for CFLocaleCopyCurrent... no
checking for GNU gettext in libc... no
checking for iconv... yes
checking for working iconv... no
checking for GNU gettext in libintl... no
checking whether to use NLS... no
checking whether UTF-8 case folding tests should pass... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating testsuite/version.good
config.status: creating Makefile
config.status: creating doc/Makefile
config.status: creating lib/Makefile
config.status: creating sed/Makefile
config.status: creating testsuite/Makefile
config.status: creating po/Makefile.in
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing po-directories commands
config.status: creating po/POTFILES
config.status: creating po/Makefile

make
make  all-recursive
make[1]: Entering directory `/c/Users/Lis/Documents/dev/sed-4.2.2'
Making all in lib
make[2]: Entering directory `/c/Users/Lis/Documents/dev/sed-4.2.2/lib'
rm -f alloca.h-t alloca.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
       cat ./alloca.in.h; \
     } > alloca.h-t && \
     mv -f alloca.h-t alloca.h
rm -f configmake.h-t && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
       echo '#define PREFIX "/c/Users/Lis/Documents/dev-w64"'; \
       echo '#define EXEC_PREFIX "/c/Users/Lis/Documents/dev-w64"'; \
       echo '#define BINDIR "/c/Users/Lis/Documents/dev-w64/bin"'; \
       echo '#define SBINDIR "/c/Users/Lis/Documents/dev-w64/sbin"'; \
       echo '#define LIBEXECDIR "/c/Users/Lis/Documents/dev-w64/libexec"'; \
       echo '#define DATAROOTDIR "/c/Users/Lis/Documents/dev-w64/share"'; \
       echo '#define DATADIR "/c/Users/Lis/Documents/dev-w64/share"'; \
       echo '#define SYSCONFDIR "/c/Users/Lis/Documents/dev-w64/etc"'; \
       echo '#define SHAREDSTATEDIR "/c/Users/Lis/Documents/dev-w64/com"'; \
       echo '#define LOCALSTATEDIR "/c/Users/Lis/Documents/dev-w64/var"'; \
       echo '#define INCLUDEDIR "/c/Users/Lis/Documents/dev-w64/include"'; \
       echo '#define OLDINCLUDEDIR "/usr/include"'; \
       echo '#define DOCDIR 
"/c/Users/Lis/Documents/dev-w64/share/doc/sed"'; \
       echo '#define INFODIR "/c/Users/Lis/Documents/dev-w64/share/info"'; \
       echo '#define HTMLDIR 
"/c/Users/Lis/Documents/dev-w64/share/doc/sed"'; \
       echo '#define DVIDIR 
"/c/Users/Lis/Documents/dev-w64/share/doc/sed"'; \
       echo '#define PDFDIR 
"/c/Users/Lis/Documents/dev-w64/share/doc/sed"'; \
       echo '#define PSDIR 
"/c/Users/Lis/Documents/dev-w64/share/doc/sed"'; \
       echo '#define LIBDIR "/c/Users/Lis/Documents/dev-w64/lib"'; \
       echo '#define LISPDIR 
"/c/Users/Lis/Documents/dev-w64/share/emacs/site-lisp"'; \
       echo '#define LOCALEDIR 
"/c/Users/Lis/Documents/dev-w64/share/locale"'; \
       echo '#define MANDIR "/c/Users/Lis/Documents/dev-w64/share/man"'; \
       echo '#define MANEXT ""'; \
       echo '#define PKGDATADIR 
"/c/Users/Lis/Documents/dev-w64/share/sed"'; \
       echo '#define PKGINCLUDEDIR 
"/c/Users/Lis/Documents/dev-w64/include/sed"'; \
       echo '#define PKGLIBDIR "/c/Users/Lis/Documents/dev-w64/lib/sed"'; \
       echo '#define PKGLIBEXECDIR 
"/c/Users/Lis/Documents/dev-w64/libexec/sed"'; \
     } | sed '/""/d' > configmake.h-t && \
     mv -f configmake.h-t configmake.h
rm -f errno.h-t errno.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_ERRNO_H''@|<errno.h>|g' \
           -e 's|@''EMULTIHOP_HIDDEN''@|0|g' \
           -e 's|@''EMULTIHOP_VALUE''@||g' \
           -e 's|@''ENOLINK_HIDDEN''@|0|g' \
           -e 's|@''ENOLINK_VALUE''@||g' \
           -e 's|@''EOVERFLOW_HIDDEN''@|0|g' \
           -e 's|@''EOVERFLOW_VALUE''@||g' \
           < ./errno.in.h; \
     } > errno.h-t && \
     mv errno.h-t errno.h
rm -f fcntl.h-t fcntl.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_FCNTL_H''@|<fcntl.h>|g' \
           -e 's/@''GNULIB_FCNTL''@/0/g' \
           -e 's/@''GNULIB_NONBLOCKING''@/0/g' \
           -e 's/@''GNULIB_OPEN''@/0/g' \
           -e 's/@''GNULIB_OPENAT''@/0/g' \
           -e 's|@''HAVE_FCNTL''@|1|g' \
           -e 's|@''HAVE_OPENAT''@|1|g' \
           -e 's|@''REPLACE_FCNTL''@|0|g' \
           -e 's|@''REPLACE_OPEN''@|0|g' \
           -e 's|@''REPLACE_OPENAT''@|0|g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
           < ./fcntl.in.h; \
     } > fcntl.h-t && \
     mv fcntl.h-t fcntl.h
rm -f langinfo.h-t langinfo.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''HAVE_LANGINFO_H''@|0|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_LANGINFO_H''@|<langinfo.h>|g' \
           -e 's/@''GNULIB_NL_LANGINFO''@/1/g' \
           -e 's|@''HAVE_LANGINFO_CODESET''@|0|g' \
           -e 's|@''HAVE_LANGINFO_T_FMT_AMPM''@|0|g' \
           -e 's|@''HAVE_LANGINFO_ERA''@|0|g' \
           -e 's|@''HAVE_LANGINFO_YESEXPR''@|0|g' \
           -e 's|@''HAVE_NL_LANGINFO''@|0|g' \
           -e 's|@''REPLACE_NL_LANGINFO''@|0|g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
           < ./langinfo.in.h; \
     } > langinfo.h-t && \
     mv langinfo.h-t langinfo.h
rm -f locale.h-t locale.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_LOCALE_H''@|<locale.h>|g' \
           -e 's/@''GNULIB_LOCALECONV''@/1/g' \
           -e 's/@''GNULIB_SETLOCALE''@/0/g' \
           -e 's/@''GNULIB_DUPLOCALE''@/0/g' \
           -e 's|@''HAVE_DUPLOCALE''@|1|g' \
           -e 's|@''HAVE_XLOCALE_H''@|0|g' \
           -e 's|@''REPLACE_LOCALECONV''@|1|g' \
           -e 's|@''REPLACE_SETLOCALE''@|0|g' \
           -e 's|@''REPLACE_DUPLOCALE''@|0|g' \
           -e 's|@''REPLACE_STRUCT_LCONV''@|1|g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
           < ./locale.in.h; \
     } > locale.h-t && \
     mv locale.h-t locale.h
/usr/bin/mkdir -p selinux
rm -f selinux/selinux.h-t selinux/selinux.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_SELINUX_SELINUX_H''@||g' \
           -e '/definition of _GL_UNUSED_PARAMETER/r unused-parameter.h' \
           < ./se-selinux.in.h; \
     } > selinux/selinux.h-t && \
     chmod a-x selinux/selinux.h-t && \
     mv selinux/selinux.h-t selinux/selinux.h
/usr/bin/mkdir -p selinux
rm -f selinux/context.h-t selinux/context.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
       sed -e '/definition of _GL_UNUSED_PARAMETER/r unused-parameter.h' \
           < ./se-context.in.h; \
     } > selinux/context.h-t && \
     chmod a-x selinux/context.h-t && \
     mv selinux/context.h-t selinux/context.h
rm -f stdio.h-t stdio.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_STDIO_H''@|<stdio.h>|g' \
           -e 's/@''GNULIB_DPRINTF''@/0/g' \
           -e 's/@''GNULIB_FCLOSE''@/0/g' \
           -e 's/@''GNULIB_FDOPEN''@/0/g' \
           -e 's/@''GNULIB_FFLUSH''@/0/g' \
           -e 's/@''GNULIB_FGETC''@/1/g' \
           -e 's/@''GNULIB_FGETS''@/1/g' \
           -e 's/@''GNULIB_FOPEN''@/0/g' \
           -e 's/@''GNULIB_FPRINTF''@/1/g' \
           -e 's/@''GNULIB_FPRINTF_POSIX''@/0/g' \
           -e 's/@''GNULIB_FPURGE''@/0/g' \
           -e 's/@''GNULIB_FPUTC''@/1/g' \
           -e 's/@''GNULIB_FPUTS''@/1/g' \
           -e 's/@''GNULIB_FREAD''@/1/g' \
           -e 's/@''GNULIB_FREOPEN''@/0/g' \
           -e 's/@''GNULIB_FSCANF''@/1/g' \
           -e 's/@''GNULIB_FSEEK''@/0/g' \
           -e 's/@''GNULIB_FSEEKO''@/0/g' \
           -e 's/@''GNULIB_FTELL''@/0/g' \
           -e 's/@''GNULIB_FTELLO''@/0/g' \
           -e 's/@''GNULIB_FWRITE''@/1/g' \
           -e 's/@''GNULIB_GETC''@/1/g' \
           -e 's/@''GNULIB_GETCHAR''@/1/g' \
           -e 's/@''GNULIB_GETDELIM''@/1/g' \
           -e 's/@''GNULIB_GETLINE''@/0/g' \
           -e 's/@''GNULIB_OBSTACK_PRINTF''@/0/g' \
           -e 's/@''GNULIB_OBSTACK_PRINTF_POSIX''@/0/g' \
           -e 's/@''GNULIB_PCLOSE''@/0/g' \
           -e 's/@''GNULIB_PERROR''@/0/g' \
           -e 's/@''GNULIB_POPEN''@/0/g' \
           -e 's/@''GNULIB_PRINTF''@/1/g' \
           -e 's/@''GNULIB_PRINTF_POSIX''@/0/g' \
           -e 's/@''GNULIB_PUTC''@/1/g' \
           -e 's/@''GNULIB_PUTCHAR''@/1/g' \
           -e 's/@''GNULIB_PUTS''@/1/g' \
           -e 's/@''GNULIB_REMOVE''@/0/g' \
           -e 's/@''GNULIB_RENAME''@/1/g' \
           -e 's/@''GNULIB_RENAMEAT''@/0/g' \
           -e 's/@''GNULIB_SCANF''@/1/g' \
           -e 's/@''GNULIB_SNPRINTF''@/0/g' \
           -e 's/@''GNULIB_SPRINTF_POSIX''@/0/g' \
           -e 's/@''GNULIB_STDIO_H_NONBLOCKING''@/0/g' \
           -e 's/@''GNULIB_STDIO_H_SIGPIPE''@/0/g' \
           -e 's/@''GNULIB_TMPFILE''@/0/g' \
           -e 's/@''GNULIB_VASPRINTF''@/0/g' \
           -e 's/@''GNULIB_VDPRINTF''@/0/g' \
           -e 's/@''GNULIB_VFPRINTF''@/1/g' \
           -e 's/@''GNULIB_VFPRINTF_POSIX''@/0/g' \
           -e 's/@''GNULIB_VFSCANF''@/0/g' \
           -e 's/@''GNULIB_VSCANF''@/0/g' \
           -e 's/@''GNULIB_VPRINTF''@/1/g' \
           -e 's/@''GNULIB_VPRINTF_POSIX''@/0/g' \
           -e 's/@''GNULIB_VSNPRINTF''@/0/g' \
           -e 's/@''GNULIB_VSPRINTF_POSIX''@/0/g' \
           < ./stdio.in.h | \
       sed -e 's|@''HAVE_DECL_FPURGE''@|1|g' \
           -e 's|@''HAVE_DECL_FSEEKO''@|1|g' \
           -e 's|@''HAVE_DECL_FTELLO''@|1|g' \
           -e 's|@''HAVE_DECL_GETDELIM''@|0|g' \
           -e 's|@''HAVE_DECL_GETLINE''@|1|g' \
           -e 's|@''HAVE_DECL_OBSTACK_PRINTF''@|1|g' \
           -e 's|@''HAVE_DECL_SNPRINTF''@|1|g' \
           -e 's|@''HAVE_DECL_VSNPRINTF''@|1|g' \
           -e 's|@''HAVE_DPRINTF''@|1|g' \
           -e 's|@''HAVE_FSEEKO''@|1|g' \
           -e 's|@''HAVE_FTELLO''@|1|g' \
           -e 's|@''HAVE_PCLOSE''@|1|g' \
           -e 's|@''HAVE_POPEN''@|1|g' \
           -e 's|@''HAVE_RENAMEAT''@|1|g' \
           -e 's|@''HAVE_VASPRINTF''@|1|g' \
           -e 's|@''HAVE_VDPRINTF''@|1|g' \
           -e 's|@''REPLACE_DPRINTF''@|0|g' \
           -e 's|@''REPLACE_FCLOSE''@|0|g' \
           -e 's|@''REPLACE_FDOPEN''@|0|g' \
           -e 's|@''REPLACE_FFLUSH''@|0|g' \
           -e 's|@''REPLACE_FOPEN''@|0|g' \
           -e 's|@''REPLACE_FPRINTF''@|0|g' \
           -e 's|@''REPLACE_FPURGE''@|0|g' \
           -e 's|@''REPLACE_FREOPEN''@|0|g' \
           -e 's|@''REPLACE_FSEEK''@|0|g' \
           -e 's|@''REPLACE_FSEEKO''@|0|g' \
           -e 's|@''REPLACE_FTELL''@|0|g' \
           -e 's|@''REPLACE_FTELLO''@|0|g' \
           -e 's|@''REPLACE_GETDELIM''@|0|g' \
           -e 's|@''REPLACE_GETLINE''@|0|g' \
           -e 's|@''REPLACE_OBSTACK_PRINTF''@|0|g' \
           -e 's|@''REPLACE_PERROR''@|0|g' \
           -e 's|@''REPLACE_POPEN''@|0|g' \
           -e 's|@''REPLACE_PRINTF''@|0|g' \
           -e 's|@''REPLACE_REMOVE''@|0|g' \
           -e 's|@''REPLACE_RENAME''@|1|g' \
           -e 's|@''REPLACE_RENAMEAT''@|0|g' \
           -e 's|@''REPLACE_SNPRINTF''@|0|g' \
           -e 's|@''REPLACE_SPRINTF''@|0|g' \
           -e 's|@''REPLACE_STDIO_READ_FUNCS''@|0|g' \
           -e 's|@''REPLACE_STDIO_WRITE_FUNCS''@|0|g' \
           -e 's|@''REPLACE_TMPFILE''@|0|g' \
           -e 's|@''REPLACE_VASPRINTF''@|0|g' \
           -e 's|@''REPLACE_VDPRINTF''@|0|g' \
           -e 's|@''REPLACE_VFPRINTF''@|0|g' \
           -e 's|@''REPLACE_VPRINTF''@|0|g' \
           -e 's|@''REPLACE_VSNPRINTF''@|0|g' \
           -e 's|@''REPLACE_VSPRINTF''@|0|g' \
           -e 's|@''ASM_SYMBOL_PREFIX''@||g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h'; \
     } > stdio.h-t && \
     mv stdio.h-t stdio.h
rm -f stdlib.h-t stdlib.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_STDLIB_H''@|<stdlib.h>|g' \
           -e 's/@''GNULIB__EXIT''@/0/g' \
           -e 's/@''GNULIB_ATOLL''@/0/g' \
           -e 's/@''GNULIB_CALLOC_POSIX''@/0/g' \
           -e 's/@''GNULIB_CANONICALIZE_FILE_NAME''@/1/g' \
           -e 's/@''GNULIB_GETLOADAVG''@/0/g' \
           -e 's/@''GNULIB_GETSUBOPT''@/0/g' \
           -e 's/@''GNULIB_GRANTPT''@/0/g' \
           -e 's/@''GNULIB_MALLOC_POSIX''@/1/g' \
           -e 's/@''GNULIB_MBTOWC''@/1/g' \
           -e 's/@''GNULIB_MKDTEMP''@/0/g' \
           -e 's/@''GNULIB_MKOSTEMP''@/1/g' \
           -e 's/@''GNULIB_MKOSTEMPS''@/0/g' \
           -e 's/@''GNULIB_MKSTEMP''@/0/g' \
           -e 's/@''GNULIB_MKSTEMPS''@/0/g' \
           -e 's/@''GNULIB_POSIX_OPENPT''@/0/g' \
           -e 's/@''GNULIB_PTSNAME''@/0/g' \
           -e 's/@''GNULIB_PTSNAME_R''@/0/g' \
           -e 's/@''GNULIB_PUTENV''@/0/g' \
           -e 's/@''GNULIB_RANDOM''@/0/g' \
           -e 's/@''GNULIB_RANDOM_R''@/0/g' \
           -e 's/@''GNULIB_REALLOC_POSIX''@/1/g' \
           -e 's/@''GNULIB_REALPATH''@/1/g' \
           -e 's/@''GNULIB_RPMATCH''@/0/g' \
           -e 's/@''GNULIB_SETENV''@/0/g' \
           -e 's/@''GNULIB_STRTOD''@/0/g' \
           -e 's/@''GNULIB_STRTOLL''@/0/g' \
           -e 's/@''GNULIB_STRTOULL''@/0/g' \
           -e 's/@''GNULIB_SYSTEM_POSIX''@/0/g' \
           -e 's/@''GNULIB_UNLOCKPT''@/0/g' \
           -e 's/@''GNULIB_UNSETENV''@/0/g' \
           -e 's/@''GNULIB_WCTOMB''@/1/g' \
           < ./stdlib.in.h | \
       sed -e 's|@''HAVE__EXIT''@|1|g' \
           -e 's|@''HAVE_ATOLL''@|1|g' \
           -e 's|@''HAVE_CANONICALIZE_FILE_NAME''@|0|g' \
           -e 's|@''HAVE_DECL_GETLOADAVG''@|1|g' \
           -e 's|@''HAVE_GETSUBOPT''@|1|g' \
           -e 's|@''HAVE_GRANTPT''@|1|g' \
           -e 's|@''HAVE_MKDTEMP''@|1|g' \
           -e 's|@''HAVE_MKOSTEMP''@|0|g' \
           -e 's|@''HAVE_MKOSTEMPS''@|1|g' \
           -e 's|@''HAVE_MKSTEMP''@|1|g' \
           -e 's|@''HAVE_MKSTEMPS''@|1|g' \
           -e 's|@''HAVE_POSIX_OPENPT''@|1|g' \
           -e 's|@''HAVE_PTSNAME''@|1|g' \
           -e 's|@''HAVE_PTSNAME_R''@|1|g' \
           -e 's|@''HAVE_RANDOM''@|1|g' \
           -e 's|@''HAVE_RANDOM_H''@|1|g' \
           -e 's|@''HAVE_RANDOM_R''@|1|g' \
           -e 's|@''HAVE_REALPATH''@|0|g' \
           -e 's|@''HAVE_RPMATCH''@|1|g' \
           -e 's|@''HAVE_DECL_SETENV''@|1|g' \
           -e 's|@''HAVE_STRTOD''@|1|g' \
           -e 's|@''HAVE_STRTOLL''@|1|g' \
           -e 's|@''HAVE_STRTOULL''@|1|g' \
           -e 's|@''HAVE_STRUCT_RANDOM_DATA''@|1|g' \
           -e 's|@''HAVE_SYS_LOADAVG_H''@|0|g' \
           -e 's|@''HAVE_UNLOCKPT''@|1|g' \
           -e 's|@''HAVE_DECL_UNSETENV''@|1|g' \
           -e 's|@''REPLACE_CALLOC''@|0|g' \
           -e 's|@''REPLACE_CANONICALIZE_FILE_NAME''@|0|g' \
           -e 's|@''REPLACE_MALLOC''@|1|g' \
           -e 's|@''REPLACE_MBTOWC''@|0|g' \
           -e 's|@''REPLACE_MKSTEMP''@|0|g' \
           -e 's|@''REPLACE_PTSNAME''@|0|g' \
           -e 's|@''REPLACE_PTSNAME_R''@|0|g' \
           -e 's|@''REPLACE_PUTENV''@|0|g' \
           -e 's|@''REPLACE_RANDOM_R''@|0|g' \
           -e 's|@''REPLACE_REALLOC''@|1|g' \
           -e 's|@''REPLACE_REALPATH''@|0|g' \
           -e 's|@''REPLACE_SETENV''@|0|g' \
           -e 's|@''REPLACE_STRTOD''@|0|g' \
           -e 's|@''REPLACE_UNSETENV''@|0|g' \
           -e 's|@''REPLACE_WCTOMB''@|0|g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _Noreturn/r 
../build-aux/snippet/_Noreturn.h' \
           -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h'; \
     } > stdlib.h-t && \
     mv stdlib.h-t stdlib.h
rm -f string.h-t string.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_STRING_H''@|<string.h>|g' \
           -e 's/@''GNULIB_FFSL''@/0/g' \
           -e 's/@''GNULIB_FFSLL''@/0/g' \
           -e 's/@''GNULIB_MBSLEN''@/0/g' \
           -e 's/@''GNULIB_MBSNLEN''@/0/g' \
           -e 's/@''GNULIB_MBSCHR''@/0/g' \
           -e 's/@''GNULIB_MBSRCHR''@/0/g' \
           -e 's/@''GNULIB_MBSSTR''@/0/g' \
           -e 's/@''GNULIB_MBSCASECMP''@/0/g' \
           -e 's/@''GNULIB_MBSNCASECMP''@/0/g' \
           -e 's/@''GNULIB_MBSPCASECMP''@/0/g' \
           -e 's/@''GNULIB_MBSCASESTR''@/0/g' \
           -e 's/@''GNULIB_MBSCSPN''@/0/g' \
           -e 's/@''GNULIB_MBSPBRK''@/0/g' \
           -e 's/@''GNULIB_MBSSPN''@/0/g' \
           -e 's/@''GNULIB_MBSSEP''@/0/g' \
           -e 's/@''GNULIB_MBSTOK_R''@/0/g' \
           -e 's/@''GNULIB_MEMCHR''@/1/g' \
           -e 's/@''GNULIB_MEMMEM''@/0/g' \
           -e 's/@''GNULIB_MEMPCPY''@/0/g' \
           -e 's/@''GNULIB_MEMRCHR''@/0/g' \
           -e 's/@''GNULIB_RAWMEMCHR''@/0/g' \
           -e 's/@''GNULIB_STPCPY''@/0/g' \
           -e 's/@''GNULIB_STPNCPY''@/0/g' \
           -e 's/@''GNULIB_STRCHRNUL''@/0/g' \
           -e 's/@''GNULIB_STRDUP''@/0/g' \
           -e 's/@''GNULIB_STRNCAT''@/0/g' \
           -e 's/@''GNULIB_STRNDUP''@/0/g' \
           -e 's/@''GNULIB_STRNLEN''@/0/g' \
           -e 's/@''GNULIB_STRPBRK''@/0/g' \
           -e 's/@''GNULIB_STRSEP''@/0/g' \
           -e 's/@''GNULIB_STRSTR''@/0/g' \
           -e 's/@''GNULIB_STRCASESTR''@/0/g' \
           -e 's/@''GNULIB_STRTOK_R''@/0/g' \
           -e 's/@''GNULIB_STRERROR''@/1/g' \
           -e 's/@''GNULIB_STRERROR_R''@/0/g' \
           -e 's/@''GNULIB_STRSIGNAL''@/0/g' \
           -e 's/@''GNULIB_STRVERSCMP''@/1/g' \
           < ./string.in.h | \
       sed -e 's|@''HAVE_FFSL''@|1|g' \
           -e 's|@''HAVE_FFSLL''@|1|g' \
           -e 's|@''HAVE_MBSLEN''@|0|g' \
           -e 's|@''HAVE_MEMCHR''@|1|g' \
           -e 's|@''HAVE_DECL_MEMMEM''@|1|g' \
           -e 's|@''HAVE_MEMPCPY''@|1|g' \
           -e 's|@''HAVE_DECL_MEMRCHR''@|1|g' \
           -e 's|@''HAVE_RAWMEMCHR''@|1|g' \
           -e 's|@''HAVE_STPCPY''@|1|g' \
           -e 's|@''HAVE_STPNCPY''@|1|g' \
           -e 's|@''HAVE_STRCHRNUL''@|1|g' \
           -e 's|@''HAVE_DECL_STRDUP''@|1|g' \
           -e 's|@''HAVE_DECL_STRNDUP''@|1|g' \
           -e 's|@''HAVE_DECL_STRNLEN''@|1|g' \
           -e 's|@''HAVE_STRPBRK''@|1|g' \
           -e 's|@''HAVE_STRSEP''@|1|g' \
           -e 's|@''HAVE_STRCASESTR''@|1|g' \
           -e 's|@''HAVE_DECL_STRTOK_R''@|1|g' \
           -e 's|@''HAVE_DECL_STRERROR_R''@|1|g' \
           -e 's|@''HAVE_DECL_STRSIGNAL''@|1|g' \
           -e 's|@''HAVE_STRVERSCMP''@|0|g' \
           -e 's|@''REPLACE_STPNCPY''@|0|g' \
           -e 's|@''REPLACE_MEMCHR''@|0|g' \
           -e 's|@''REPLACE_MEMMEM''@|0|g' \
           -e 's|@''REPLACE_STRCASESTR''@|0|g' \
           -e 's|@''REPLACE_STRCHRNUL''@|0|g' \
           -e 's|@''REPLACE_STRDUP''@|0|g' \
           -e 's|@''REPLACE_STRSTR''@|0|g' \
           -e 's|@''REPLACE_STRERROR''@|1|g' \
           -e 's|@''REPLACE_STRERROR_R''@|0|g' \
           -e 's|@''REPLACE_STRNCAT''@|0|g' \
           -e 's|@''REPLACE_STRNDUP''@|0|g' \
           -e 's|@''REPLACE_STRNLEN''@|0|g' \
           -e 's|@''REPLACE_STRSIGNAL''@|0|g' \
           -e 's|@''REPLACE_STRTOK_R''@|0|g' \
           -e 's|@''UNDEFINE_STRTOK_R''@|0|g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h'; \
           < ./string.in.h; \
     } > string.h-t && \
     mv string.h-t string.h
/usr/bin/mkdir -p sys
rm -f sys/stat.h-t sys/stat.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_SYS_STAT_H''@|<sys/stat.h>|g' \
           -e 's|@''WINDOWS_64_BIT_ST_SIZE''@|1|g' \
           -e 's/@''GNULIB_FCHMODAT''@/0/g' \
           -e 's/@''GNULIB_FSTAT''@/1/g' \
           -e 's/@''GNULIB_FSTATAT''@/0/g' \
           -e 's/@''GNULIB_FUTIMENS''@/0/g' \
           -e 's/@''GNULIB_LCHMOD''@/0/g' \
           -e 's/@''GNULIB_LSTAT''@/1/g' \
           -e 's/@''GNULIB_MKDIRAT''@/0/g' \
           -e 's/@''GNULIB_MKFIFO''@/0/g' \
           -e 's/@''GNULIB_MKFIFOAT''@/0/g' \
           -e 's/@''GNULIB_MKNOD''@/0/g' \
           -e 's/@''GNULIB_MKNODAT''@/0/g' \
           -e 's/@''GNULIB_STAT''@/1/g' \
           -e 's/@''GNULIB_UTIMENSAT''@/0/g' \
           -e 's|@''HAVE_FCHMODAT''@|1|g' \
           -e 's|@''HAVE_FSTATAT''@|1|g' \
           -e 's|@''HAVE_FUTIMENS''@|1|g' \
           -e 's|@''HAVE_LCHMOD''@|1|g' \
           -e 's|@''HAVE_LSTAT''@|0|g' \
           -e 's|@''HAVE_MKDIRAT''@|1|g' \
           -e 's|@''HAVE_MKFIFO''@|1|g' \
           -e 's|@''HAVE_MKFIFOAT''@|1|g' \
           -e 's|@''HAVE_MKNOD''@|1|g' \
           -e 's|@''HAVE_MKNODAT''@|1|g' \
           -e 's|@''HAVE_UTIMENSAT''@|1|g' \
           -e 's|@''REPLACE_FSTAT''@|1|g' \
           -e 's|@''REPLACE_FSTATAT''@|0|g' \
           -e 's|@''REPLACE_FUTIMENS''@|0|g' \
           -e 's|@''REPLACE_LSTAT''@|0|g' \
           -e 's|@''REPLACE_MKDIR''@|0|g' \
           -e 's|@''REPLACE_MKFIFO''@|0|g' \
           -e 's|@''REPLACE_MKNOD''@|0|g' \
           -e 's|@''REPLACE_STAT''@|1|g' \
           -e 's|@''REPLACE_UTIMENSAT''@|0|g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
           < ./sys_stat.in.h; \
     } > sys/stat.h-t && \
     mv sys/stat.h-t sys/stat.h
/usr/bin/mkdir -p sys
rm -f sys/time.h-t sys/time.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's/@''HAVE_SYS_TIME_H''@/1/g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_SYS_TIME_H''@|<sys/time.h>|g' \
           -e 's/@''GNULIB_GETTIMEOFDAY''@/1/g' \
           -e 's|@''HAVE_WINSOCK2_H''@|1|g' \
           -e 's/@''HAVE_GETTIMEOFDAY''@/1/g' \
           -e 's/@''HAVE_STRUCT_TIMEVAL''@/1/g' \
           -e 's/@''REPLACE_GETTIMEOFDAY''@/1/g' \
           -e 's/@''REPLACE_STRUCT_TIMEVAL''@/1/g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
           < ./sys_time.in.h; \
     } > sys/time.h-t && \
     mv sys/time.h-t sys/time.h
/usr/bin/mkdir -p sys
rm -f sys/types.h-t sys/types.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_SYS_TYPES_H''@|<sys/types.h>|g' \
           -e 's|@''WINDOWS_64_BIT_OFF_T''@|0|g' \
           < ./sys_types.in.h; \
     } > sys/types.h-t && \
     mv sys/types.h-t sys/types.h
rm -f time.h-t time.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */' && \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_TIME_H''@|<time.h>|g' \
           -e 's/@''GNULIB_MKTIME''@/0/g' \
           -e 's/@''GNULIB_NANOSLEEP''@/0/g' \
           -e 's/@''GNULIB_STRPTIME''@/0/g' \
           -e 's/@''GNULIB_TIMEGM''@/0/g' \
           -e 's/@''GNULIB_TIME_R''@/0/g' \
           -e 's|@''HAVE_DECL_LOCALTIME_R''@|1|g' \
           -e 's|@''HAVE_NANOSLEEP''@|1|g' \
           -e 's|@''HAVE_STRPTIME''@|1|g' \
           -e 's|@''HAVE_TIMEGM''@|1|g' \
           -e 's|@''REPLACE_LOCALTIME_R''@|GNULIB_PORTCHECK|g' \
           -e 's|@''REPLACE_MKTIME''@|GNULIB_PORTCHECK|g' \
           -e 's|@''REPLACE_NANOSLEEP''@|GNULIB_PORTCHECK|g' \
           -e 's|@''REPLACE_TIMEGM''@|GNULIB_PORTCHECK|g' \
           -e 's|@''PTHREAD_H_DEFINES_STRUCT_TIMESPEC''@|0|g' \
           -e 's|@''SYS_TIME_H_DEFINES_STRUCT_TIMESPEC''@|0|g' \
           -e 's|@''TIME_H_DEFINES_STRUCT_TIMESPEC''@|1|g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
           < ./time.in.h; \
     } > time.h-t && \
     mv time.h-t time.h
rm -f unistd.h-t unistd.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''HAVE_UNISTD_H''@|1|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_UNISTD_H''@|<unistd.h>|g' \
           -e 's|@''WINDOWS_64_BIT_OFF_T''@|0|g' \
           -e 's/@''GNULIB_CHDIR''@/1/g' \
           -e 's/@''GNULIB_CHOWN''@/0/g' \
           -e 's/@''GNULIB_CLOSE''@/0/g' \
           -e 's/@''GNULIB_DUP''@/0/g' \
           -e 's/@''GNULIB_DUP2''@/0/g' \
           -e 's/@''GNULIB_DUP3''@/0/g' \
           -e 's/@''GNULIB_ENVIRON''@/0/g' \
           -e 's/@''GNULIB_EUIDACCESS''@/0/g' \
           -e 's/@''GNULIB_FACCESSAT''@/0/g' \
           -e 's/@''GNULIB_FCHDIR''@/0/g' \
           -e 's/@''GNULIB_FCHOWNAT''@/0/g' \
           -e 's/@''GNULIB_FDATASYNC''@/0/g' \
           -e 's/@''GNULIB_FSYNC''@/0/g' \
           -e 's/@''GNULIB_FTRUNCATE''@/0/g' \
           -e 's/@''GNULIB_GETCWD''@/0/g' \
           -e 's/@''GNULIB_GETDOMAINNAME''@/0/g' \
           -e 's/@''GNULIB_GETDTABLESIZE''@/0/g' \
           -e 's/@''GNULIB_GETGROUPS''@/0/g' \
           -e 's/@''GNULIB_GETHOSTNAME''@/0/g' \
           -e 's/@''GNULIB_GETLOGIN''@/0/g' \
           -e 's/@''GNULIB_GETLOGIN_R''@/0/g' \
           -e 's/@''GNULIB_GETPAGESIZE''@/0/g' \
           -e 's/@''GNULIB_GETUSERSHELL''@/0/g' \
           -e 's/@''GNULIB_GROUP_MEMBER''@/0/g' \
           -e 's/@''GNULIB_ISATTY''@/0/g' \
           -e 's/@''GNULIB_LCHOWN''@/0/g' \
           -e 's/@''GNULIB_LINK''@/0/g' \
           -e 's/@''GNULIB_LINKAT''@/0/g' \
           -e 's/@''GNULIB_LSEEK''@/0/g' \
           -e 's/@''GNULIB_PIPE''@/0/g' \
           -e 's/@''GNULIB_PIPE2''@/0/g' \
           -e 's/@''GNULIB_PREAD''@/0/g' \
           -e 's/@''GNULIB_PWRITE''@/0/g' \
           -e 's/@''GNULIB_READ''@/0/g' \
           -e 's/@''GNULIB_READLINK''@/1/g' \
           -e 's/@''GNULIB_READLINKAT''@/0/g' \
           -e 's/@''GNULIB_RMDIR''@/1/g' \
           -e 's/@''GNULIB_SETHOSTNAME''@/0/g' \
           -e 's/@''GNULIB_SLEEP''@/0/g' \
           -e 's/@''GNULIB_SYMLINK''@/0/g' \
           -e 's/@''GNULIB_SYMLINKAT''@/0/g' \
           -e 's/@''GNULIB_TTYNAME_R''@/0/g' \
           -e 's/@''GNULIB_UNISTD_H_GETOPT''@/0/g' \
           -e 's/@''GNULIB_UNISTD_H_NONBLOCKING''@/0/g' \
           -e 's/@''GNULIB_UNISTD_H_SIGPIPE''@/0/g' \
           -e 's/@''GNULIB_UNLINK''@/0/g' \
           -e 's/@''GNULIB_UNLINKAT''@/0/g' \
           -e 's/@''GNULIB_USLEEP''@/0/g' \
           -e 's/@''GNULIB_WRITE''@/0/g' \
           < ./unistd.in.h | \
       sed -e 's|@''HAVE_CHOWN''@|1|g' \
           -e 's|@''HAVE_DUP2''@|1|g' \
           -e 's|@''HAVE_DUP3''@|1|g' \
           -e 's|@''HAVE_EUIDACCESS''@|1|g' \
           -e 's|@''HAVE_FACCESSAT''@|1|g' \
           -e 's|@''HAVE_FCHDIR''@|1|g' \
           -e 's|@''HAVE_FCHOWNAT''@|1|g' \
           -e 's|@''HAVE_FDATASYNC''@|1|g' \
           -e 's|@''HAVE_FSYNC''@|1|g' \
           -e 's|@''HAVE_FTRUNCATE''@|1|g' \
           -e 's|@''HAVE_GETDTABLESIZE''@|1|g' \
           -e 's|@''HAVE_GETGROUPS''@|1|g' \
           -e 's|@''HAVE_GETHOSTNAME''@|1|g' \
           -e 's|@''HAVE_GETLOGIN''@|1|g' \
           -e 's|@''HAVE_GETPAGESIZE''@|1|g' \
           -e 's|@''HAVE_GROUP_MEMBER''@|1|g' \
           -e 's|@''HAVE_LCHOWN''@|1|g' \
           -e 's|@''HAVE_LINK''@|1|g' \
           -e 's|@''HAVE_LINKAT''@|1|g' \
           -e 's|@''HAVE_PIPE''@|1|g' \
           -e 's|@''HAVE_PIPE2''@|1|g' \
           -e 's|@''HAVE_PREAD''@|1|g' \
           -e 's|@''HAVE_PWRITE''@|1|g' \
           -e 's|@''HAVE_READLINK''@|0|g' \
           -e 's|@''HAVE_READLINKAT''@|1|g' \
           -e 's|@''HAVE_SETHOSTNAME''@|1|g' \
           -e 's|@''HAVE_SLEEP''@|1|g' \
           -e 's|@''HAVE_SYMLINK''@|1|g' \
           -e 's|@''HAVE_SYMLINKAT''@|1|g' \
           -e 's|@''HAVE_UNLINKAT''@|1|g' \
           -e 's|@''HAVE_USLEEP''@|1|g' \
           -e 's|@''HAVE_DECL_ENVIRON''@|1|g' \
           -e 's|@''HAVE_DECL_FCHDIR''@|1|g' \
           -e 's|@''HAVE_DECL_FDATASYNC''@|1|g' \
           -e 's|@''HAVE_DECL_GETDOMAINNAME''@|1|g' \
           -e 's|@''HAVE_DECL_GETLOGIN_R''@|1|g' \
           -e 's|@''HAVE_DECL_GETPAGESIZE''@|1|g' \
           -e 's|@''HAVE_DECL_GETUSERSHELL''@|1|g' \
           -e 's|@''HAVE_DECL_SETHOSTNAME''@|1|g' \
           -e 's|@''HAVE_DECL_TTYNAME_R''@|1|g' \
           -e 's|@''HAVE_OS_H''@|0|g' \
           -e 's|@''HAVE_SYS_PARAM_H''@|0|g' \
       | \
       sed -e 's|@''REPLACE_CHOWN''@|0|g' \
           -e 's|@''REPLACE_CLOSE''@|0|g' \
           -e 's|@''REPLACE_DUP''@|0|g' \
           -e 's|@''REPLACE_DUP2''@|0|g' \
           -e 's|@''REPLACE_FCHOWNAT''@|0|g' \
           -e 's|@''REPLACE_FTRUNCATE''@|0|g' \
           -e 's|@''REPLACE_GETCWD''@|0|g' \
           -e 's|@''REPLACE_GETDOMAINNAME''@|0|g' \
           -e 's|@''REPLACE_GETLOGIN_R''@|0|g' \
           -e 's|@''REPLACE_GETGROUPS''@|0|g' \
           -e 's|@''REPLACE_GETPAGESIZE''@|0|g' \
           -e 's|@''REPLACE_ISATTY''@|0|g' \
           -e 's|@''REPLACE_LCHOWN''@|0|g' \
           -e 's|@''REPLACE_LINK''@|0|g' \
           -e 's|@''REPLACE_LINKAT''@|0|g' \
           -e 's|@''REPLACE_LSEEK''@|0|g' \
           -e 's|@''REPLACE_PREAD''@|0|g' \
           -e 's|@''REPLACE_PWRITE''@|0|g' \
           -e 's|@''REPLACE_READ''@|0|g' \
           -e 's|@''REPLACE_READLINK''@|0|g' \
           -e 's|@''REPLACE_RMDIR''@|1|g' \
           -e 's|@''REPLACE_SLEEP''@|0|g' \
           -e 's|@''REPLACE_SYMLINK''@|0|g' \
           -e 's|@''REPLACE_TTYNAME_R''@|0|g' \
           -e 's|@''REPLACE_UNLINK''@|0|g' \
           -e 's|@''REPLACE_UNLINKAT''@|0|g' \
           -e 's|@''REPLACE_USLEEP''@|0|g' \
           -e 's|@''REPLACE_WRITE''@|0|g' \
           -e 's|@''UNISTD_H_HAVE_WINSOCK2_H''@|1|g' \
           -e 's|@''UNISTD_H_HAVE_WINSOCK2_H_AND_USE_SOCKETS''@|0|g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h'; \
     } > unistd.h-t && \
     mv unistd.h-t unistd.h
rm -f wchar.h-t wchar.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''HAVE_FEATURES_H''@|0|g' \
           -e 's|@''NEXT_WCHAR_H''@|<wchar.h>|g' \
           -e 's|@''HAVE_WCHAR_H''@|1|g' \
           -e 's/@''GNULIB_BTOWC''@/1/g' \
           -e 's/@''GNULIB_WCTOB''@/1/g' \
           -e 's/@''GNULIB_MBSINIT''@/1/g' \
           -e 's/@''GNULIB_MBRTOWC''@/1/g' \
           -e 's/@''GNULIB_MBRLEN''@/1/g' \
           -e 's/@''GNULIB_MBSRTOWCS''@/0/g' \
           -e 's/@''GNULIB_MBSNRTOWCS''@/0/g' \
           -e 's/@''GNULIB_WCRTOMB''@/1/g' \
           -e 's/@''GNULIB_WCSRTOMBS''@/0/g' \
           -e 's/@''GNULIB_WCSNRTOMBS''@/0/g' \
           -e 's/@''GNULIB_WCWIDTH''@/0/g' \
           -e 's/@''GNULIB_WMEMCHR''@/0/g' \
           -e 's/@''GNULIB_WMEMCMP''@/0/g' \
           -e 's/@''GNULIB_WMEMCPY''@/0/g' \
           -e 's/@''GNULIB_WMEMMOVE''@/0/g' \
           -e 's/@''GNULIB_WMEMSET''@/0/g' \
           -e 's/@''GNULIB_WCSLEN''@/0/g' \
           -e 's/@''GNULIB_WCSNLEN''@/0/g' \
           -e 's/@''GNULIB_WCSCPY''@/0/g' \
           -e 's/@''GNULIB_WCPCPY''@/0/g' \
           -e 's/@''GNULIB_WCSNCPY''@/0/g' \
           -e 's/@''GNULIB_WCPNCPY''@/0/g' \
           -e 's/@''GNULIB_WCSCAT''@/0/g' \
           -e 's/@''GNULIB_WCSNCAT''@/0/g' \
           -e 's/@''GNULIB_WCSCMP''@/0/g' \
           -e 's/@''GNULIB_WCSNCMP''@/0/g' \
           -e 's/@''GNULIB_WCSCASECMP''@/0/g' \
           -e 's/@''GNULIB_WCSNCASECMP''@/0/g' \
           -e 's/@''GNULIB_WCSCOLL''@/0/g' \
           -e 's/@''GNULIB_WCSXFRM''@/0/g' \
           -e 's/@''GNULIB_WCSDUP''@/0/g' \
           -e 's/@''GNULIB_WCSCHR''@/0/g' \
           -e 's/@''GNULIB_WCSRCHR''@/0/g' \
           -e 's/@''GNULIB_WCSCSPN''@/0/g' \
           -e 's/@''GNULIB_WCSSPN''@/0/g' \
           -e 's/@''GNULIB_WCSPBRK''@/0/g' \
           -e 's/@''GNULIB_WCSSTR''@/0/g' \
           -e 's/@''GNULIB_WCSTOK''@/0/g' \
           -e 's/@''GNULIB_WCSWIDTH''@/0/g' \
           < ./wchar.in.h | \
       sed -e 's|@''HAVE_WINT_T''@|1|g' \
           -e 's|@''HAVE_BTOWC''@|1|g' \
           -e 's|@''HAVE_MBSINIT''@|1|g' \
           -e 's|@''HAVE_MBRTOWC''@|1|g' \
           -e 's|@''HAVE_MBRLEN''@|1|g' \
           -e 's|@''HAVE_MBSRTOWCS''@|1|g' \
           -e 's|@''HAVE_MBSNRTOWCS''@|1|g' \
           -e 's|@''HAVE_WCRTOMB''@|1|g' \
           -e 's|@''HAVE_WCSRTOMBS''@|1|g' \
           -e 's|@''HAVE_WCSNRTOMBS''@|1|g' \
           -e 's|@''HAVE_WMEMCHR''@|1|g' \
           -e 's|@''HAVE_WMEMCMP''@|1|g' \
           -e 's|@''HAVE_WMEMCPY''@|1|g' \
           -e 's|@''HAVE_WMEMMOVE''@|1|g' \
           -e 's|@''HAVE_WMEMSET''@|1|g' \
           -e 's|@''HAVE_WCSLEN''@|1|g' \
           -e 's|@''HAVE_WCSNLEN''@|1|g' \
           -e 's|@''HAVE_WCSCPY''@|1|g' \
           -e 's|@''HAVE_WCPCPY''@|1|g' \
           -e 's|@''HAVE_WCSNCPY''@|1|g' \
           -e 's|@''HAVE_WCPNCPY''@|1|g' \
           -e 's|@''HAVE_WCSCAT''@|1|g' \
           -e 's|@''HAVE_WCSNCAT''@|1|g' \
           -e 's|@''HAVE_WCSCMP''@|1|g' \
           -e 's|@''HAVE_WCSNCMP''@|1|g' \
           -e 's|@''HAVE_WCSCASECMP''@|1|g' \
           -e 's|@''HAVE_WCSNCASECMP''@|1|g' \
           -e 's|@''HAVE_WCSCOLL''@|1|g' \
           -e 's|@''HAVE_WCSXFRM''@|1|g' \
           -e 's|@''HAVE_WCSDUP''@|1|g' \
           -e 's|@''HAVE_WCSCHR''@|1|g' \
           -e 's|@''HAVE_WCSRCHR''@|1|g' \
           -e 's|@''HAVE_WCSCSPN''@|1|g' \
           -e 's|@''HAVE_WCSSPN''@|1|g' \
           -e 's|@''HAVE_WCSPBRK''@|1|g' \
           -e 's|@''HAVE_WCSSTR''@|1|g' \
           -e 's|@''HAVE_WCSTOK''@|1|g' \
           -e 's|@''HAVE_WCSWIDTH''@|1|g' \
           -e 's|@''HAVE_DECL_WCTOB''@|1|g' \
           -e 's|@''HAVE_DECL_WCWIDTH''@|1|g' \
       | \
       sed -e 's|@''REPLACE_MBSTATE_T''@|0|g' \
           -e 's|@''REPLACE_BTOWC''@|0|g' \
           -e 's|@''REPLACE_WCTOB''@|1|g' \
           -e 's|@''REPLACE_MBSINIT''@|1|g' \
           -e 's|@''REPLACE_MBRTOWC''@|1|g' \
           -e 's|@''REPLACE_MBRLEN''@|1|g' \
           -e 's|@''REPLACE_MBSRTOWCS''@|0|g' \
           -e 's|@''REPLACE_MBSNRTOWCS''@|0|g' \
           -e 's|@''REPLACE_WCRTOMB''@|0|g' \
           -e 's|@''REPLACE_WCSRTOMBS''@|0|g' \
           -e 's|@''REPLACE_WCSNRTOMBS''@|0|g' \
           -e 's|@''REPLACE_WCWIDTH''@|0|g' \
           -e 's|@''REPLACE_WCSWIDTH''@|0|g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_ARG_NONNULL/r arg-nonnull.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h'; \
     } > wchar.h-t && \
     mv wchar.h-t wchar.h
rm -f wctype.h-t wctype.h && \
     { echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
       sed -e 's|@''GUARD_PREFIX''@|GL|g' \
           -e 's/@''HAVE_WCTYPE_H''@/1/g' \
           -e 's|@''INCLUDE_NEXT''@|include_next|g' \
           -e 's|@''PRAGMA_SYSTEM_HEADER''@|#pragma GCC system_header|g' \
           -e 's|@''PRAGMA_COLUMNS''@||g' \
           -e 's|@''NEXT_WCTYPE_H''@|<wctype.h>|g' \
           -e 's/@''GNULIB_ISWBLANK''@/0/g' \
           -e 's/@''GNULIB_WCTYPE''@/0/g' \
           -e 's/@''GNULIB_ISWCTYPE''@/0/g' \
           -e 's/@''GNULIB_WCTRANS''@/0/g' \
           -e 's/@''GNULIB_TOWCTRANS''@/0/g' \
           -e 's/@''HAVE_ISWBLANK''@/1/g' \
           -e 's/@''HAVE_ISWCNTRL''@/1/g' \
           -e 's/@''HAVE_WCTYPE_T''@/1/g' \
           -e 's/@''HAVE_WCTRANS_T''@/1/g' \
           -e 's/@''HAVE_WINT_T''@/1/g' \
           -e 's/@''REPLACE_ISWBLANK''@/0/g' \
           -e 's/@''REPLACE_ISWCNTRL''@/0/g' \
           -e 's/@''REPLACE_TOWLOWER''@/0/g' \
           -e '/definitions of _GL_FUNCDECL_RPL/r c++defs.h' \
           -e '/definition of _GL_WARN_ON_USE/r warn-on-use.h' \
           < ./wctype.in.h; \
     } > wctype.h-t && \
     mv wctype.h-t wctype.h
make  all-recursive
make[3]: Entering directory `/c/Users/Lis/Documents/dev/sed-4.2.2/lib'
make[4]: Entering directory `/c/Users/Lis/Documents/dev/sed-4.2.2/lib'
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT set-mode-acl.o -MD -MP -MF .deps/set-mode-acl.Tpo -c -o 
set-mode-acl.o set-mode-acl.c
mv -f .deps/set-mode-acl.Tpo .deps/set-mode-acl.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT copy-acl.o -MD -MP -MF .deps/copy-acl.Tpo -c -o copy-acl.o copy-acl.c
mv -f .deps/copy-acl.Tpo .deps/copy-acl.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT file-has-acl.o -MD -MP -MF .deps/file-has-acl.Tpo -c -o 
file-has-acl.o file-has-acl.c
mv -f .deps/file-has-acl.Tpo .deps/file-has-acl.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT c-ctype.o -MD -MP -MF .deps/c-ctype.Tpo -c -o c-ctype.o c-ctype.c
mv -f .deps/c-ctype.Tpo .deps/c-ctype.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT c-strcasecmp.o -MD -MP -MF .deps/c-strcasecmp.Tpo -c -o 
c-strcasecmp.o c-strcasecmp.c
mv -f .deps/c-strcasecmp.Tpo .deps/c-strcasecmp.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT c-strncasecmp.o -MD -MP -MF .deps/c-strncasecmp.Tpo -c -o 
c-strncasecmp.o c-strncasecmp.c
mv -f .deps/c-strncasecmp.Tpo .deps/c-strncasecmp.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT dirname-lgpl.o -MD -MP -MF .deps/dirname-lgpl.Tpo -c -o 
dirname-lgpl.o dirname-lgpl.c
mv -f .deps/dirname-lgpl.Tpo .deps/dirname-lgpl.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT basename-lgpl.o -MD -MP -MF .deps/basename-lgpl.Tpo -c -o 
basename-lgpl.o basename-lgpl.c
mv -f .deps/basename-lgpl.Tpo .deps/basename-lgpl.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT stripslash.o -MD -MP -MF .deps/stripslash.Tpo -c -o stripslash.o 
stripslash.c
mv -f .deps/stripslash.Tpo .deps/stripslash.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT exitfail.o -MD -MP -MF .deps/exitfail.Tpo -c -o exitfail.o exitfail.c
mv -f .deps/exitfail.Tpo .deps/exitfail.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT localcharset.o -MD -MP -MF .deps/localcharset.Tpo -c -o 
localcharset.o localcharset.c
mv -f .deps/localcharset.Tpo .deps/localcharset.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT malloca.o -MD -MP -MF .deps/malloca.Tpo -c -o malloca.o malloca.c
mv -f .deps/malloca.Tpo .deps/malloca.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT quotearg.o -MD -MP -MF .deps/quotearg.Tpo -c -o quotearg.o quotearg.c
mv -f .deps/quotearg.Tpo .deps/quotearg.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT se-context.o -MD -MP -MF .deps/se-context.Tpo -c -o se-context.o 
se-context.c
mv -f .deps/se-context.Tpo .deps/se-context.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT se-selinux.o -MD -MP -MF .deps/se-selinux.Tpo -c -o se-selinux.o 
se-selinux.c
mv -f .deps/se-selinux.Tpo .deps/se-selinux.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT stdio.o -MD -MP -MF .deps/stdio.Tpo -c -o stdio.o stdio.c
mv -f .deps/stdio.Tpo .deps/stdio.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT tempname.o -MD -MP -MF .deps/tempname.Tpo -c -o tempname.o tempname.c
mv -f .deps/tempname.Tpo .deps/tempname.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT unistd.o -MD -MP -MF .deps/unistd.Tpo -c -o unistd.o unistd.c
mv -f .deps/unistd.Tpo .deps/unistd.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT version-etc.o -MD -MP -MF .deps/version-etc.Tpo -c -o version-etc.o 
version-etc.c
mv -f .deps/version-etc.Tpo .deps/version-etc.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT version-etc-fsf.o -MD -MP -MF .deps/version-etc-fsf.Tpo -c -o 
version-etc-fsf.o version-etc-fsf.c
mv -f .deps/version-etc-fsf.Tpo .deps/version-etc-fsf.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT wctype-h.o -MD -MP -MF .deps/wctype-h.Tpo -c -o wctype-h.o wctype-h.c
mv -f .deps/wctype-h.Tpo .deps/wctype-h.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT xmalloc.o -MD -MP -MF .deps/xmalloc.Tpo -c -o xmalloc.o xmalloc.c
mv -f .deps/xmalloc.Tpo .deps/xmalloc.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT xalloc-die.o -MD -MP -MF .deps/xalloc-die.Tpo -c -o xalloc-die.o 
xalloc-die.c
mv -f .deps/xalloc-die.Tpo .deps/xalloc-die.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT canonicalize-lgpl.o -MD -MP -MF .deps/canonicalize-lgpl.Tpo -c -o 
canonicalize-lgpl.o canonicalize-lgpl.c
mv -f .deps/canonicalize-lgpl.Tpo .deps/canonicalize-lgpl.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT error.o -MD -MP -MF .deps/error.Tpo -c -o error.o error.c
mv -f .deps/error.Tpo .deps/error.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT fstat.o -MD -MP -MF .deps/fstat.Tpo -c -o fstat.o fstat.c
mv -f .deps/fstat.Tpo .deps/fstat.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT fwriting.o -MD -MP -MF .deps/fwriting.Tpo -c -o fwriting.o fwriting.c
mv -f .deps/fwriting.Tpo .deps/fwriting.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT getdelim.o -MD -MP -MF .deps/getdelim.Tpo -c -o getdelim.o getdelim.c
mv -f .deps/getdelim.Tpo .deps/getdelim.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT gettimeofday.o -MD -MP -MF .deps/gettimeofday.Tpo -c -o 
gettimeofday.o gettimeofday.c
mv -f .deps/gettimeofday.Tpo .deps/gettimeofday.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT localeconv.o -MD -MP -MF .deps/localeconv.Tpo -c -o localeconv.o 
localeconv.c
mv -f .deps/localeconv.Tpo .deps/localeconv.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT malloc.o -MD -MP -MF .deps/malloc.Tpo -c -o malloc.o malloc.c
mv -f .deps/malloc.Tpo .deps/malloc.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT mbrlen.o -MD -MP -MF .deps/mbrlen.Tpo -c -o mbrlen.o mbrlen.c
mv -f .deps/mbrlen.Tpo .deps/mbrlen.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT mbrtowc.o -MD -MP -MF .deps/mbrtowc.Tpo -c -o mbrtowc.o mbrtowc.c
mv -f .deps/mbrtowc.Tpo .deps/mbrtowc.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT mbsinit.o -MD -MP -MF .deps/mbsinit.Tpo -c -o mbsinit.o mbsinit.c
mv -f .deps/mbsinit.Tpo .deps/mbsinit.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT mkostemp.o -MD -MP -MF .deps/mkostemp.Tpo -c -o mkostemp.o mkostemp.c
mv -f .deps/mkostemp.Tpo .deps/mkostemp.Po
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I../lib -I.. -I../lib   -g -O2 
-MT msvc-inval.o -MD -MP -MF .deps/msvc-inval.Tpo -c -o msvc-inval.o 
msvc-inval.c
msvc-inval.c:34:1: error: expected '=', ',', ';', 'asm' or 
'__attribute__' before 'gl_msvc_invalid_parameter_handler'
  gl_msvc_invalid_parameter_handler (const wchar_t *expression,
  ^
msvc-inval.c: In function 'gl_msvc_inval_ensure_handler':
msvc-inval.c:126:39: error: 'gl_msvc_invalid_parameter_handler' 
undeclared (first use in this function)
        _set_invalid_parameter_handler (gl_msvc_invalid_parameter_handler);
                                        ^
msvc-inval.c:126:39: note: each undeclared identifier is reported only 
once for each function it appears in
make[4]: *** [msvc-inval.o] Error 1
make[4]: Leaving directory `/c/Users/Lis/Documents/dev/sed-4.2.2/lib'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/c/Users/Lis/Documents/dev/sed-4.2.2/lib'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/c/Users/Lis/Documents/dev/sed-4.2.2/lib'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/c/Users/Lis/Documents/dev/sed-4.2.2'
make: *** [all] Error 2